aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md4
-rwxr-xr-xgtk-classic-build-deb.sh8
2 files changed, 10 insertions, 2 deletions
diff --git a/README.md b/README.md
index a4366c1..b4246d1 100644
--- a/README.md
+++ b/README.md
@@ -17,6 +17,10 @@ The `gtk3-classic-build-deb.sh` script and Makefile can be used to generate the
The shell script finds the available gtk3 versions in debian, and gtk3-classic releases, and then finds the highest version that matches between the two. This highest version then gets downloaded, given the patches in `debian/patches/series`, and then the .dsc and .debian.tar.xz file are generated!
+An optional way to use it with `deploy-to-obs.sh`. If you need to use a custom committish for any value, define it in an environment variable.
+
+ RAW=3.24.34 CLASSIC=defuzz-3.24.34 DEB=3.24.34-3 sh -x ./deploy-to-obs.sh
+
### rpm script
The `gtk-classic-build-rpm.sh` script can be used to generate a git repository contents that can be used by rpkg on the COPR. This script also generates a src.rpm which can be used to build an rpm locally.
diff --git a/gtk-classic-build-deb.sh b/gtk-classic-build-deb.sh
index 0e8dd4e..7a059bb 100755
--- a/gtk-classic-build-deb.sh
+++ b/gtk-classic-build-deb.sh
@@ -7,6 +7,7 @@
# Title: Build dpkg-buildpackage assets for gtk3-classic
# Purpose: combine gtk+3.0 from debian and gtk3-classic into a .deb suite for Devuan Ceres
# History:
+# 2023-01-11 switch package release to stackrpms
# Usage:
# make
# References:
@@ -87,7 +88,7 @@ cd "${WORKDIR}/gtk+-${raw_version}"
tar -Jxf "${WORKDIR}/gtk+3.0_${deb_version}.debian.tar.xz"
mv debian/changelog debian/changelog.orig
{
- echo "gtk+3.0 (${raw_version}-100+devuan) obs; urgency=medium"
+ echo "gtk+3.0 (${raw_version}-100+stackrpms) obs; urgency=medium"
echo ""
echo " * Rebuild gtk3 with gtk3-classic patches"
echo ""
@@ -99,7 +100,10 @@ rm debian.changelog
cp -p "${WORKDIR}/gtk3classic/"*.patch debian/patches/
cp -p "${WORKDIR}/gtk3classic/"*.css debian/patches/
cat "${WORKDIR}/gtk3classic/series" >> debian/patches/series
-sed -r -i 's/env -u LD_PRELOAD xvfb-run -a dh_auto_test/#env -u LD_PRELOAD xvfb-run -a dh_auto_test/' debian/rules
+sed -i -r debian/rules \
+ -e 's/env -u LD_PRELOAD xvfb-run -a dh_auto_test/#env -u LD_PRELOAD xvfb-run -a dh_auto_test/' \
+ -e '/NOMATCHFINDABLE/s/abcdefg/# added for 3.24.34 because LD_PRELOAD statement does nothing now/;' \
+ -e 's/run-tests\.sh.*$/run-tests.sh || :/;'
sed -r -i 's/Build-Depends: /Build-Depends: libjpeg62-turbo-dev, /' debian/control
# remove patch for all
case "${raw_version}" in
bgstack15